#!/bin/sh

echo 'name: haskell-src-exts
version: 1.1.4
license: BSD3
copyright:
maintainer: Niklas Broberg <d00nibro@chalmers.se>
stability: Stable
homepage: http://www.cs.chalmers.se/~d00nibro/haskell-src-exts/
package-url:
description: Haskell-Source with Extensions (HSE, haskell-src-exts)
             is an extension of the standard haskell-src package,
             and handles most registered syntactic extensions to Haskell, including:
             .
             * Multi-parameter type classes with functional dependencies
             .
             * Indexed type families (including associated types)
             .
             * Empty data declarations
             .
             * GADTs
             .
             * Implicit parameters
             .
             * Template Haskell
             .
             and a few more. All extensions implemented in GHC are supported.
             Apart from these standard extensions,
             it also handles regular patterns as per the HaRP extension
             as well as HSX-style embedded XML syntax.
             .
             For details on usage, please see the website.
category: Language
author: Niklas Broberg
exposed: True
exposed-modules: Language.Haskell.Exts Language.Haskell.Exts.Parser
                 Language.Haskell.Exts.Pretty Language.Haskell.Exts.Syntax
                 Language.Haskell.Exts.Extension Language.Haskell.Exts.Build
                 Language.Haskell.Exts.Fixity Language.Haskell.Exts.Comments
                 Language.Haskell.Exts.Annotated
                 Language.Haskell.Exts.Annotated.Parser
                 Language.Haskell.Exts.Annotated.Pretty
                 Language.Haskell.Exts.Annotated.Syntax
                 Language.Haskell.Exts.Annotated.Fixity
                 Language.Haskell.Exts.Annotated.Build
                 Language.Haskell.Exts.Annotated.Comments
                 Language.Haskell.Exts.Annotated.SrcLoc
                 Language.Haskell.Exts.Annotated.ExactPrint
hidden-modules: Language.Haskell.Exts.ParseMonad
                Language.Haskell.Exts.Lexer Language.Haskell.Exts.ParseUtils
                Language.Haskell.Exts.ExtScheme
                Language.Haskell.Exts.Annotated.ParseMonad
                Language.Haskell.Exts.Annotated.Lexer
                Language.Haskell.Exts.Annotated.ParseUtils
import-dirs: /usr/lib64/ghc-6.10.4/haskell-src-exts-1.1.4
library-dirs: /usr/lib64/ghc-6.10.4/haskell-src-exts-1.1.4
hs-libraries: HShaskell-src-exts-1.1.4
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.2.0.0 base-4.1.0.0 cpphs-1.9 pretty-1.0.1.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc/libraries/haskell-src-exts/haskell-src-exts.haddock
haddock-html: /usr/share/doc/ghc/libraries/haskell-src-exts' | /usr/bin/ghc-pkg update -
